当gitbook init有错误加载版本最新错误

当我按照this指示,一步一步

  • mac OS 10.13

  • nodejs v8.7.0

  • npm 5.5.1

  • CLI版本:2.3.1

  • GitBook版本:3.2.3

最后得到这个“gitbook init”错误:

加载最新版本时出错:错误:无法在Module.require上的Function.Module._load(module.js:476:23)的Function.Module._resolveFilename(module.js:527:15)中找到模块'extend'(模块.js:568:17)在Object的require(internal / module.js:11:18) . (/Users/jinlei/.gitbook/versions/3.2.3/lib/index.js:1:76)在Module._compile(module.js:624:30)处于Object.Module._extensions..js(模块 . js:635:10)在Module.load(module.js:545:32)的tryModuleLoad(module.js:508:12)处于Function.Module._load(module.js:500:3)TypeError:无法读取属性“命令”为null

Screenshot of the error

如何解决这个问题?

回答(1)

2 years ago

尝试使用LTS版本的节点和npm(分别为6.11.4和3.10.10),这对我有用 .